%define version_major    0
%define version_minor    4
%define version_revision 1

Name:		CEGUI
Version:	%{version_major}.%{version_minor}.%{version_revision}
Release:	2

Summary:	Crazy Eddie's GUI
License:	LGPL
Group:		Development/C++
Source:		cegui_mk2-source-%{version}.tar.bz2
Patch:	cegui_mk2_supresswarning.patch
URL:		http://www.cegui.org.uk
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crazy Eddie's GUI System is a free library providing windowing and
widgets for graphics APIs / engines where such functionality is not
natively available, or severly lacking. The library is object
orientated, written in C++, and aimed at game developers

%package devel
Summary: CEGUI header files.
Group: Development/C++
Requires: %{name} = 0:%{version}

%description devel
This package contains the header files for CEGUI.
Install this package if you want to develop programs
that uses CEGUI.

%prep
%setup -q -n cegui_mk2
%patch -p1

%build
./configure --prefix=%{_prefix} --without-xerces-c --with-x
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/pkgconfig
%{_libdir}/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/CEGUI
%dir %{_includedir}/CEGUI/elements
%dir %{_includedir}/CEGUI/falagard
%dir %{_includedir}/CEGUI/renderers
%dir %{_includedir}/CEGUI/renderers/IrrlichtRenderer
%dir %{_includedir}/CEGUI/renderers/OpenGLGUIRenderer
%{_includedir}/CEGUI/*

%changelog
* Thu Mar 9 2006 Xavier Decoret <Xavier.Decoret@imag.fr> 0.4.2-2
- Applied a patch to supress warnings about unused variables in headers.
* Fri Mar 1 2006 Xavier Decoret <Xavier.Decoret@imag.fr> 0.4.2-1
- Upgraded to new tarball.
* Wed Jul 13 2005 Xavier Decoret <Xavier.Decoret@imag.fr> 0.3.0-2
- Removed dependecy to xerces-c.
* Fri Jul 1 2005 Xavier Decoret <Xavier.Decoret@imag.fr> 0.3.0-1
- First distribution of the package.  


